#if !defined(AFX_DELETEMASTERHOLIDAY_H__24D9A031_DEB5_4927_8D05_CF29303BB557__INCLUDED_)
#define AFX_DELETEMASTERHOLIDAY_H__24D9A031_DEB5_4927_8D05_CF29303BB557__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeleteMasterHoliday.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CDeleteMasterHoliday dialog

class CDeleteMasterHoliday : public CDialog
{
// Construction
public:
	CDeleteMasterHoliday(CWnd* pParent = NULL);   // standard constructor
	CDeleteMasterHoliday(IApplication *pApp, BOOL bMater = TRUE);

// Dialog Data
	//{{AFX_DATA(CDeleteMasterHoliday)
	enum { IDD = IDD_DIALOG_DELETEMASTERHOLIDAY };
	CComboBox	m_AcctList;
	CComboBox	m_MasterHolList;
	BOOL m_bMaster;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeleteMasterHoliday)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDeleteMasterHoliday)
	virtual BOOL OnInitDialog();
	afx_msg void OnDelete();
	afx_msg void OnSelchangeCmbAcct2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	IMasterHolidayPtr	pMasterHol;

	void LoadMasterHolidays();
	void LoadAccounts();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DELETEMASTERHOLIDAY_H__24D9A031_DEB5_4927_8D05_CF29303BB557__INCLUDED_)
